package com.myCompany.portlets;

import javax.portlet.*;
import java.io.IOException;

public class BookmarkPortlet extends GenericPortlet
{

    public void processAction (ActionRequest request, 
                               ActionResponse actionResponse) throws PortletException, java.io.IOException
    {
        //corresponding action to test4.jsp part1:'checkAction'
        String removeName = request.getParameter("remove");
        if (removeName!=null) // remove
        {
            PortletPreferences prefs = request.getPreferences();
            prefs.reset(removeName);
            prefs.store();
        }

        String add = request.getParameter("add");
        if (add!=null) // add
        {
            PortletPreferences prefs = request.getPreferences();
            prefs.setValue(request.getParameter("name"),
                           request.getParameter("value"));
            prefs.store();
        }

    }

    public void doView (RenderRequest request,
                        RenderResponse response) throws PortletException, IOException
    {
        response.setContentType("text/html");
        
        String jspName = getPortletConfig().getInitParameter("jspView");
        
        PortletRequestDispatcher rd = getPortletContext().getRequestDispatcher(jspName);

        rd.include(request,response);
    }

    public void doEdit (RenderRequest request,
                        RenderResponse response) throws PortletException, IOException
    {
        response.setContentType("text/html");
        
        String jspName = getPortletConfig().getInitParameter("jspEdit");
        
        // generate action urls
        PortletURL addUrl = response.createActionURL();
        addUrl.setPortletMode(PortletMode.VIEW);
        addUrl.setParameter("add","add");
        request.setAttribute("addUrl",addUrl.toString());

        PortletURL cancelUrl = response.createRenderURL();
        cancelUrl.setPortletMode(PortletMode.VIEW);
        request.setAttribute("cancelUrl",cancelUrl.toString());

        PortletRequestDispatcher rd = getPortletContext().getRequestDispatcher(jspName);

        rd.include(request,response);
    }

}
